Dependency (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.api.artifacts

## [Java] Interface Dependency

- A `Dependency` represents a dependency on the artifacts from a particular source. A source can be an Ivy module, a Maven POM, another Gradle project, a collection of Files, etc... A source can have zero or more artifacts.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `String` | `ARCHIVES_CONFIGURATION` |
    `String` | `CLASSIFIER` |
    `String` | `DEFAULT_CONFIGURATION` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `contentEquals(Dependency dependency)` Returns whether two dependencies have identical values for their properties.
    `Dependency` | `copy()` Creates and returns a new dependency with the property values of this one.
    `String` | `getGroup()` Returns the group of this dependency.
    `String` | `getName()` Returns the name of this dependency.
    `String` | `getVersion()` Returns the version of this dependency.

- - ### Field Detail

    - #### public String ARCHIVES_CONFIGURATION

    - #### public String CLASSIFIER

    - #### public String DEFAULT_CONFIGURATION

  - ### Method Detail

    - #### public boolean contentEquals(Dependency dependency)

      Returns whether two dependencies have identical values for their properties. A dependency is an entity with a key. Therefore dependencies might be equal and yet have different properties.

      Parameters:
        `dependency` - The dependency to compare this dependency with

    - #### public Dependency copy()

      Creates and returns a new dependency with the property values of this one.

      Returns:
        The copy. Never returns null.

    - #### public String getGroup()

      Returns the group of this dependency. The group is often required to find the artifacts of a dependency in a repository. For example, the group name corresponds to a directory name in a Maven like repository. Might return null.

    - #### public String getName()

      Returns the name of this dependency. The name is almost always required to find the artifacts of a dependency in a repository. Never returns null.

    - #### public String getVersion()

      Returns the version of this dependency. The version is often required to find the artifacts of a dependency in a repository. For example the version name corresponds to a directory name in a Maven like repository. Might return null.